#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QWebEnginePage>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    m_webView = new QWebEngineView(this);
    QWebEnginePage* samplePage = new QWebEnginePage();

    samplePage->setHtml("<body><h1> Hello </h1><p> I'm a webengine page whos background has been set to #00FFFF </p></body>");
    samplePage->setBackgroundColor(QColor("#00FFFF"));

    m_webView->setPage(samplePage);

    ui->verticalLayout->addWidget(m_webView);
}

MainWindow::~MainWindow()
{
    delete ui;
}
